<?php

namespace TreeType\Typography\Action;

/**
 * Test class for MultipleSpaceReplace.
 * Generated by PHPUnit on 2012-09-11 at 13:15:57.
 * @group typography
 */
class MultipleSpacesReplaceTest extends \PHPUnit_Framework_TestCase
{
    /** @var MultipleSpaceReplace */
    private $object;

    protected function setUp()
    {
        $this->object = new MultipleSpacesReplace();
    }

    public function testModify()
    {
        parent::assertEquals('Hello&nbsp;World!', $this->object->modify('Hello&nbsp;World!'));
        parent::assertEquals('Hello&nbsp;World!', $this->object->modify('Hello&nbsp;         World!'));

        parent::assertEquals('Hello World!', $this->object->modify('Hello World!'));
        parent::assertEquals('Hello World!', $this->object->modify('Hello         World!'));
    }
}
